# Plugins

Leaflet plugins can easily work with Vue2Leaflet, if you want to use one I would recommend to look at the awesome work made by the community in the list below.


## [vue-choropleth](https://github.com/voluntadpear/vue-choropleth)

Native Vue2Leaflet plugin for creating choropleth maps.

> Vue components to display a choropleth map given a certain GeoJSON and another datasource to show information from.


## [vue2-leaflet-axesgrid](https://github.com/mudin/vue2-leaflet-axesgrid)

Wrapper for [AxesGrid](https://github.com/mudin/Leaflet.AxesGrid).

> Add axis lines and grids for grid layers and tiles based on point coordinates.


## [vue2-leaflet-editablecirclemarker](https://github.com/cualbondi/vue2-leaflet-editablecirclemarker)

Wrapper for [leaflet-editablecirclemarker](https://github.com/cualbondi/leaflet-editablecirclemarker).

> Leaflet layer that contains a marker and a circle together.


## [vue2-leaflet-geosearch](https://github.com/fega/vue2-leaflet-geosearch)

Wrapper for [GeoSearch](https://github.com/smeijer/leaflet-geosearch).

> Add support for geocoding (address lookup, a.k.a. geoseaching). Comes with support for Bing, ESRI, Google, OpenStreetMap, LocationIQ, and OpenCage out of the box.


## [vue2-leaflet-googlemutant](https://github.com/jperelli/vue2-leaflet-googlemutant)

Wrapper for [GoogleMutant](https://gitlab.com/IvanSanchez/Leaflet.GridLayer.GoogleMutant).

> Use Google Maps as base layers.


## [vue2-leaflet-gpx](https://github.com/tdcook/vue2-leaflet-gpx)

Wrapper for [leaflet-gpx](https://github.com/mpetazzoni/leaflet-gpx).

> Allow for the analysis and parsing of a GPX track in order to display it as a map layer.


## [vue2-leaflet-hotline](https://github.com/ikmolbo/vue2-leaflet-hotline)

Wrapper for [hotline](https://github.com/iosphere/Leaflet.hotline).

> Draw coloured lines gradients along polylines. This is useful for visualising values along a course, for example: elevation, velocity, or heart rate.


## [vue2-leaflet-locatecontrol](https://github.com/vUdav/vue2-leaflet-locatecontrol)

Wrapper for [Leaflet.Locate](https://github.com/domoritz/leaflet-locatecontrol).

> Get the geolocation of the user.


## [vue2-leaflet-markercluster](https://github.com/jperelli/vue2-leaflet-markercluster)

Wrapper for [MarkerCluster](https://github.com/Leaflet/Leaflet.markercluster).

> Animated marker clustering functionality.


## [vue2-leaflet-movingmarker](https://github.com/LouisMazel/vue2-leaflet-movingmarker)

Wrapper for [Leaflet.Marker.SlideTo](https://gitlab.com/IvanSanchez/Leaflet.Marker.SlideTo).

> Smoothly move (slide) markers to new locations.


## [vue2-leaflet-path-transform](https://github.com/imudin/vue2-leaflet-path-transform)

Wrapper for [Leaflet.Path.Transform](https://github.com/w8r/Leaflet.Path.Transform).

> Drag/rotate/resize handler for vector features.


## [vue2-leaflet-polygonfillpattern](https://github.com/guillaumejounel/vue2-leaflet-polygonfillpattern)

Wrapper for [leaflet-polygon-fillPattern](https://github.com/lwsu/leaflet-polygon-fillPattern).

> Fill polygon SVG path elements with image patterns.


## [vue2-leaflet-polyline-measure](https://github.com/mikeu/vue2-leaflet-polyline-measure)

Wrapper for [Leaflet.PolylineMeasure](https://github.com/ppete2/Leaflet.PolylineMeasure).

> Allow the user to interactively measure distances on the map.


## [vue2-leaflet-polylinedecorator](https://github.com/jperelli/vue2-leaflet-polylinedecorator)

Wrapper for [PolylineDecorator](https://github.com/bbecquet/Leaflet.PolylineDecorator).

> Define patterns such as dashes, arrows, icons, etc. on polylines.


## [vue2-leaflet-rotatedmarker](https://github.com/imudin/vue2-leaflet-rotatedmarker)

Wrapper for [RotatedMarker](https://github.com/bbecquet/Leaflet.RotatedMarker).

> Enable rotation of marker icons.


## [vue2-leaflet-tracksymbol](https://github.com/ais-one/vue2-leaflet-tracksymbol)

Wrapper for [TrackSymbol](https://github.com/lethexa/leaflet-tracksymbol).

> A rotatable symbol showing tracks with speed, course and heading.


## [vue2-leaflet-vectorgrid](https://github.com/tesselo/vue2-leaflet-vectorgrid)

Wrapper for [VectorGrid](https://github.com/Leaflet/Leaflet.VectorGrid.

> Display gridded vector data (sliced GeoJSON or protobuf vector tiles).
